#include <stdio.h>
#include "defines.h"
#include "aiggraph.h"

int ttl_sub(FILE *fp,unchar *buff,int plane,int wx,int wy)
/* １プレーン分のbuff[]のデータを書き出す（バイト単位）*/
/* ビットイメージタイトルで使う */
{
unint y;
unchar line[1024/8]; /* 最大サイズで確保：８ドット１バイトになるので１／８で良い */
	for (y=0;y<wy;y++) {
		/* 1line wx dot -> (wx+7)/8 bytes 圧縮 */
		buff=g_line_pres8(buff,wx,plane,line);
		if (fwrite(line,(wx+7)/8,1,fp)==0) break;
	}
	return(ferror(fp));
}
